geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From djen...@apache.org
Subject svn commit: r446776 - /geronimo/sandbox/jee5-jta/pom.xml
Date Fri, 15 Sep 2006 23:07:29 GMT
Author: djencks
Date: Fri Sep 15 16:07:29 2006
New Revision: 446776

URL: http://svn.apache.org/viewvc?view=rev&rev=446776
Log:
use regular g. root pom as parent to avoid duplication

Modified:
    geronimo/sandbox/jee5-jta/pom.xml

Modified: geronimo/sandbox/jee5-jta/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/sandbox/jee5-jta/pom.xml?view=diff&rev=446776&r1=446775&r2=446776
==============================================================================
--- geronimo/sandbox/jee5-jta/pom.xml (original)
+++ geronimo/sandbox/jee5-jta/pom.xml Fri Sep 15 16:07:29 2006
@@ -22,9 +22,9 @@
     <modelVersion>4.0.0</modelVersion>
 
     <parent>
-        <groupId>org.apache.geronimo.genesis.config</groupId>
-        <artifactId>project-config</artifactId>
-        <version>1.1-SNAPSHOT</version>
+        <groupId>org.apache.geronimo</groupId>
+        <artifactId>geronimo</artifactId>
+        <version>1.2-SNAPSHOT</version>
     </parent>
 
     <groupId>org.apache.geronimo</groupId>
@@ -32,8 +32,6 @@
     <name>Geronimo</name>
     <packaging>pom</packaging>
 
-    <version>1.2-SNAPSHOT</version>
-
     <description>
         Apache Geronimo, the J2EE server project of the Apache Software Foundation. JEE5
experiments
     </description>
@@ -64,91 +62,6 @@
     <dependencyManagement>
         <dependencies>
 
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-activation_1.0.2_spec</artifactId>
-                <version>1.1</version>
-            </dependency>
-
-            <!--
-            NOTE: OpenEJB2 still references geronimo-spec:geronimo-spec-corba in
-                  a geronimo-dependency.xml, and until that is changed we need
-                  to keep using this old m1-based artifact
-            -->
-            <dependency>
-                <!--
-                <groupId>org.apache.geronimo.specs</groupId>
-                -->
-                <groupId>geronimo-spec</groupId>
-                <artifactId>geronimo-spec-corba</artifactId>
-                <version>1.0</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-ejb_2.1_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-j2ee-connector_1.5_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-j2ee-deployment_1.1_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-j2ee-management_1.0_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-javamail_1.3.1_spec</artifactId>
-                <version>1.2-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.javamail</groupId>
-                <artifactId>geronimo-javamail_1.3.1_provider</artifactId>
-                <version>1.0-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-jaxr_1.0_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-jaxrpc_1.1_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-jsp_2.0_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-jms_1.1_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
 
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
@@ -156,745 +69,21 @@
                 <version>1.0-SNAPSHOT</version>
             </dependency>
 
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-qname_1.1_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.geronimo.specs</groupId>
-                <artifactId>geronimo-saaj_1.1_spec</artifactId>
-                <version>1.0.1</version>
-            </dependency>
 
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-servlet_2.5_spec</artifactId>
                 <version>1.0-SNAPSHOT</version>
             </dependency>
-
-            <dependency>
-                <groupId>jline</groupId>
-                <artifactId>jline</artifactId>
-                <version>0.9.9</version>
-                <type>jar</type>
-            </dependency>
-
-            <dependency>
-                <groupId>axis</groupId>
-                <artifactId>axis</artifactId>
-                <version>1.4</version>
-            </dependency>
-
-            <dependency>
-                <groupId>activeio</groupId>
-                <artifactId>activeio</artifactId>
-                <version>2.0-r118</version>
-            </dependency>
-
-            <dependency>
-                <groupId>asm</groupId>
-                <artifactId>asm</artifactId>
-                <version>1.4.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>backport-util-concurrent</groupId>
-                <artifactId>backport-util-concurrent</artifactId>
-                <version>2.2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>concurrent</groupId>
-                <artifactId>concurrent</artifactId>
-                <version>1.3.4</version>
-            </dependency>
-
-            <dependency>
-                <groupId>castor</groupId>
-                <artifactId>castor</artifactId>
-                <version>0.9.5.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>cglib</groupId>
-                <artifactId>cglib-nodep</artifactId>
-                <version>2.1_3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-io</groupId>
-                <artifactId>commons-io</artifactId>
-                <version>1.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-logging</groupId>
-                <artifactId>commons-logging</artifactId>
-                <version>1.0.4</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>org.objectweb.howl</groupId>
-                <artifactId>howl</artifactId>
-                <version>1.0.1-1</version>
-                <type>jar</type>
-                <scope>compile</scope>
-            </dependency>
-
-            <dependency>
-                <groupId>hsqldb</groupId>
-                <artifactId>hsqldb</artifactId>
-                <version>1.7.2.2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>jdom</groupId>
-                <artifactId>jdom</artifactId>
-                <version>1.0</version>                         
-            </dependency>
-
-            <dependency>
-                <groupId>log4j</groupId>
-                <artifactId>log4j</artifactId>
-                <version>1.2.13</version>
-            </dependency>
-
-            <dependency>
-                <groupId>mx4j</groupId>
-                <artifactId>mx4j</artifactId>
-                <version>3.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>mx4j</groupId>
-                <artifactId>mx4j-remote</artifactId>
-                <version>3.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>mockobjects</groupId>
-                <artifactId>mockobjects-jdk1.4-j2ee1.3</artifactId>
-                <version>0.09</version>
-            </dependency>
-
-            <dependency>
-                <groupId>mockobjects</groupId>
-                <artifactId>mockobjects-core</artifactId>
-                <version>0.09</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.derby</groupId>
-                <artifactId>derby</artifactId>
-                <version>${derbyVersion}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.derby</groupId>
-                <artifactId>derbynet</artifactId>
-                <version>${derbyVersion}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.derby</groupId>
-                <artifactId>derbyclient</artifactId>
-                <version>${derbyVersion}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.derby</groupId>
-                <artifactId>derbytools</artifactId>
-                <version>${derbyVersion}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>regexp</groupId>
-                <artifactId>regexp</artifactId>
-                <version>1.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>scout</groupId>
-                <artifactId>scout</artifactId>
-                <version>0.5</version>
-            </dependency>
-
-            <dependency>
-                <groupId>stax</groupId>
-                <artifactId>stax-api</artifactId>
-                <version>1.0</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>xmlbeans</groupId>
-                        <artifactId>xmlbeans-jsr173-api</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-
-            <dependency>
-                <groupId>tranql</groupId>
-                <artifactId>tranql</artifactId>
-                <version>1.4-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>wsdl4j</groupId>
-                <artifactId>wsdl4j</artifactId>
-                <version>1.5.2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xerces</groupId>
-                <artifactId>xercesImpl</artifactId>
-                <version>2.6.2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xerces</groupId>
-                <artifactId>xmlParserAPIs</artifactId>
-                <version>2.2.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xfire</groupId>
-                <artifactId>xfire</artifactId>
-                <version>20050202</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xfire</groupId>
-                <artifactId>xfire-java</artifactId>
-                <version>20050202</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xmlbeans</groupId>
-                <artifactId>xbean</artifactId>
-                <version>2.0.0</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xml-resolver</groupId>
-                <artifactId>xml-resolver</artifactId>
-                <version>1.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xpp3</groupId>
-                <artifactId>xpp3</artifactId>
-                <version>1.1.3.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xstream</groupId>
-                <artifactId>xstream</artifactId>
-                <version>1.1.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>junit</groupId>
-                <artifactId>junit</artifactId>
-                <version>3.8.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.pluto</groupId>
-                <artifactId>pluto</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.pluto</groupId>
-                <artifactId>pluto-portal</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.pluto</groupId>
-                <artifactId>pluto-descriptors</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.activemq</groupId>
-                <artifactId>activeio-core</artifactId>
-                <version>3.0-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.activemq</groupId>
-                <artifactId>activemq-core</artifactId>
-                <version>4.1-incubator-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.activemq</groupId>
-                <artifactId>activemq-ra</artifactId>
-                <version>4.1-incubator-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>jdbm</groupId>
-                <artifactId>jdbm</artifactId>
-                <version>0.20-dev</version>
-            </dependency>
-
-            <dependency>
-                <groupId>oro</groupId>
-                <artifactId>oro</artifactId>
-                <version>2.0.8</version>
-            </dependency>
-
-            <dependency>
-                <groupId>antlr</groupId>
-                <artifactId>antlr</artifactId>
-                <version>2.7.2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-discovery</groupId>
-                <artifactId>commons-discovery</artifactId>
-                <version>0.2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-collections</groupId>
-                <artifactId>commons-collections</artifactId>
-                <version>3.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-primitives</groupId>
-                <artifactId>commons-primitives</artifactId>
-                <version>20041207.202534</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-lang</groupId>
-                <artifactId>commons-lang</artifactId>
-                <version>2.0</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-el</groupId>
-                <artifactId>commons-el</artifactId>
-                <version>1.0</version>
-                <exclusions>
-                    <!-- Exclude commons-logging (uses 1.3) -->
-                    <!--
-                    HACK: For some crazy reason, if we exclude this here, then
-                          modules/jetty will fail to compile and there is no
-                          way to convince m2 to put the jar back on the classpath
-                          so, until that is resolved we have to disable this
-                          exclusion
-
-                    <exclusion>
-                        <groupId>commons-logging</groupId>
-                        <artifactId>commons-logging</artifactId>
-                    </exclusion>
-                    -->
-                </exclusions>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-digester</groupId>
-                <artifactId>commons-digester</artifactId>
-                <version>1.6</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-modeler</groupId>
-                <artifactId>commons-modeler</artifactId>
-                <version>20060524</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-beanutils</groupId>
-                <artifactId>commons-beanutils</artifactId>
-                <version>1.6.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-cli</groupId>
-                <artifactId>commons-cli</artifactId>
-                <version>1.0</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-fileupload</groupId>
-                <artifactId>commons-fileupload</artifactId>
-                <version>1.1-dev</version>
-            </dependency>
-
-            <dependency>
-                <groupId>xml-apis</groupId>
-                <artifactId>xml-apis</artifactId>
-                <version>1.0.b2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>portlet-api</groupId>
-                <artifactId>portlet-api</artifactId>
-                <version>1.0</version>
-            </dependency>
-
-            <dependency>
-                <groupId>taglibs</groupId>
-                <artifactId>standard</artifactId>
-                <version>1.1.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>javax.servlet</groupId>
-                <artifactId>jstl</artifactId>
-                <version>1.1.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>dwr</groupId>
-                <artifactId>dwr</artifactId>
-                <version>1.1.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.openejb</groupId>
-                <artifactId>openejb-core</artifactId>
-                <version>2.2-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.openejb</groupId>
-                <artifactId>openejb-builder</artifactId>
-                <version>2.2-SNAPSHOT</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.openejb</groupId>
-                <artifactId>openejb-pkgen-builder</artifactId>
-                <version>2.2-SNAPSHOT</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tranql</groupId>
-                <artifactId>tranql-connector</artifactId>
-                <version>1.2</version>
-                <type>rar</type>
-            </dependency>
-            
-            <dependency>
-                <groupId>tranql</groupId>
-                <artifactId>tranql-connector-derby-embed-xa</artifactId>
-                <version>1.1</version>
-                <type>rar</type>
-            </dependency>
-
-            <dependency>
-                <groupId>tranql</groupId>
-                <artifactId>tranql-connector-derby-embed-local</artifactId>
-                <version>1.1</version>
-                <type>rar</type>
-            </dependency>
-            
-            <dependency>
-                <groupId>tranql</groupId>
-                <artifactId>tranql-connector-derby-client-local</artifactId>
-                <version>1.1</version>
-                <type>rar</type>
-            </dependency>
-            
-            <dependency>
-                <groupId>tranql</groupId>
-                <artifactId>tranql-connector-derby-client-xa</artifactId>
-                <version>1.1</version>
-                <type>rar</type>
-            </dependency>
-            
-            <dependency>
-                <groupId>juddi</groupId>
-                <artifactId>juddi</artifactId>
-                <version>0.9rc4</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>jasper-runtime</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory</groupId>
-                <artifactId>apacheds-core</artifactId>
-                <version>0.9.2</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory</groupId>
-                <artifactId>apacheds-shared</artifactId>
-                <version>0.9.2</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-asn1</groupId>
-                <artifactId>asn1-codec</artifactId>
-                <version>0.3.2</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-asn1</groupId>
-                <artifactId>asn1-ber</artifactId>
-                <version>0.3.2</version>
-                <exclusions>
-                    <!--
-                    NOTE: Exclude commons-test, no needed for compile, not deployed into
any m2 repo.
-                          Where are the sources for this artifact?
-                    -->
-                    <exclusion>
-                        <groupId>commons-test</groupId>
-                        <artifactId>commons-test</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-asn1</groupId>
-                <artifactId>asn1-der</artifactId>
-                <version>0.3.2</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-shared</groupId>
-                <artifactId>apache-ldapber-provider</artifactId>
-                <version>0.9.2</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-shared</groupId>
-                <artifactId>ldap-common</artifactId>
-                <version>0.9.2</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-shared</groupId>
-                <artifactId>kerberos-common</artifactId>
-                <version>0.5</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-network</groupId>
-                <artifactId>mina</artifactId>
-                <version>0.7.3</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-protocols</groupId>
-                <artifactId>kerberos-protocol</artifactId>
-                <version>0.5</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>directory-protocols</groupId>
-                <artifactId>ldap-protocol</artifactId>
-                <version>0.9.2</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>jetty</groupId>
-                <artifactId>org.mortbay.jetty</artifactId>
-                <version>5.1.10</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>jasper-compiler</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>jasper-compiler-jdt</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>jasper-runtime</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>catalina</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>tomcat-ajp</artifactId>
-                <version>5.5.15</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>catalina-cluster</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <!--
-              - Required until any realm is provided to Tomcat
-              - See StandardEngine::getRealm() 
-            -->
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>catalina-optional</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>tomcat-coyote</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>tomcat-http</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>jasper-compiler</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>jasper-compiler-jdt</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>jasper-runtime</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>tomcat-util</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>naming-resources</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>servlets-default</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>tomcat</groupId>
-                <artifactId>servlets-invoker</artifactId>
-                <version>${tomcatVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>wadi</groupId>
-                <artifactId>wadi-core</artifactId>
-                <version>2.0M1</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>wadi</groupId>
-                <artifactId>wadi-tomcat55</artifactId>
-                <version>2.0M1</version>
-            </dependency>
-            
         </dependencies>
     </dependencyManagement>
     
     <build>
         <pluginManagement>
             <plugins>
-                <plugin>
-                    <groupId>org.codehaus.mojo</groupId>
-                    <artifactId>xmlbeans-maven-plugin</artifactId>
-                    <version>2.0.1-SNAPSHOT</version>
-
-                    <executions>
-                        <execution>
-                            <goals>
-                                <goal>xmlbeans</goal>
-                            </goals>
-                        </execution>
-                    </executions>
 
-                    <configuration>
-                        <schemaDirectory>${pom.basedir}/src/main/schema</schemaDirectory>
-                        <xmlConfigs>
-                            <xmlConfig implementation="java.io.File">${pom.basedir}/src/main/schema/xmlconfig.xml</xmlConfig>
-                        </xmlConfigs>
-                        <download>true</download>
-                        <quiet>false</quiet>
-                    </configuration>
-                </plugin>
 
                 <plugin>
-                    <groupId>org.codehaus.mojo</groupId>
-                    <artifactId>jspc-maven-plugin</artifactId>
-                    <version>1.4.5</version>
-                    <executions>
-                        <execution>
-                            <id>jspc</id>
-                            <goals>
-                                <goal>compile</goal>
-                            </goals>
-                            <configuration>
-                                <warSourceDirectory>${pom.basedir}/src/main/webapp</warSourceDirectory>
-                                <inputWebXml>${pom.basedir}/src/main/webapp/WEB-INF/web.xml</inputWebXml>
-                            </configuration>
-                        </execution>
-                    </executions>
-                </plugin>
-                
-                <!--
-                FIXME: Should not configure war to assume jsp by default
-                -->
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-war-plugin</artifactId>
-                    <version>2.0.1</version>
-                    <configuration>
-                        <warSourceDirectory>${pom.basedir}/src/main/webapp</warSourceDirectory>
-                        <webXml>${pom.basedir}/target/jspweb.xml</webXml>
-                        <archiveClasses>true</archiveClasses>
-                        <archive>
-                            <!-- Do not include META-INF/maven to avoid long file problems
on windows -->
-                            <addMavenDescriptor>false</addMavenDescriptor>
-                        </archive>
-                    </configuration>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-ear-plugin</artifactId>
-                    <version>2.2</version>
-                    <configuration>
-                        <archive>
-                            <!-- Do not include META-INF/maven to avoid long file problems
on windows -->
-                            <addMavenDescriptor>false</addMavenDescriptor>
-                        </archive>
-                    </configuration>
-                </plugin>
-                
-                <plugin>
                     <groupId>org.apache.geronimo.plugins</groupId>
                     <artifactId>geronimo-maven-plugin</artifactId>
                     <version>${pom.version}</version>
@@ -902,43 +91,17 @@
                     <configuration>
                         <assemblies>
                             <assembly>
-                                <id>jetty</id>
-                                <groupId>org.apache.geronimo.assemblies</groupId>
-                                <artifactId>geronimo-jetty-j2ee</artifactId>
-                                <version>${pom.version}</version>
-                                <classifier>bin</classifier>
-                                <type>zip</type>
-                            </assembly>
-                            
-                            <assembly>
-                                <id>jetty-minimal</id>
+                                <id>jetty-jee5</id>
                                 <groupId>org.apache.geronimo.assemblies</groupId>
-                                <artifactId>geronimo-jetty-minimal</artifactId>
+                                <artifactId>geronimo-jetty-jee5</artifactId>
                                 <version>${pom.version}</version>
                                 <classifier>bin</classifier>
                                 <type>zip</type>
                             </assembly>
                             
-                            <assembly>
-                                <id>tomcat</id>
-                                <groupId>org.apache.geronimo.assemblies</groupId>
-                                <artifactId>geronimo-tomcat-j2ee</artifactId>
-                                <version>${pom.version}</version>
-                                <classifier>bin</classifier>
-                                <type>zip</type>
-                            </assembly>
-                            
-                            <assembly>
-                                <id>tomcat-minimal</id>
-                                <groupId>org.apache.geronimo.assemblies</groupId>
-                                <artifactId>geronimo-tomcat-minimal</artifactId>
-                                <version>${pom.version}</version>
-                                <classifier>bin</classifier>
-                                <type>zip</type>
-                            </assembly>
                         </assemblies>
                         
-                        <defaultAssemblyId>jetty</defaultAssemblyId>
+                        <defaultAssemblyId>jetty-jee5</defaultAssemblyId>
                     </configuration>
                 </plugin>
             </plugins>
@@ -1053,165 +216,7 @@
             </modules>
         </profile>
 
-        <profile>
-            <id>all</id>
-
-            <modules>
-                <module>testsupport</module>
-                <module>modules</module>
-                <module>thirdparty/openejb2</module>
-                <module>maven-plugins</module>
-                <module>applications</module>
-                <module>configs</module>
-                <module>assemblies</module>
-            </modules>
-        </profile>
-
-        <!--
-        NOTE: This profile is used to enable plugin prefixes for easy command-line usage,
as in:
-        
-              mvn -Ptools geronimo:start
-        -->
-        <profile>
-            <id>tools</id>
-
-            <build>
-                <plugins>
-                    <plugin>
-                        <groupId>org.apache.geronimo.plugins</groupId>
-                        <artifactId>geronimo-maven-plugin</artifactId>
-                    </plugin>
-                    
-                    <plugin>
-                        <groupId>org.apache.geronimo.genesis.plugins</groupId>
-                        <artifactId>tools-maven-plugin</artifactId>
-                    </plugin>
-                    
-                    <plugin>
-                        <groupId>org.apache.geronimo.genesis.plugins</groupId>
-                        <artifactId>maven-maven-plugin</artifactId>
-                    </plugin>
-                </plugins>
-            </build>
-        </profile>
-        
-        <!--
-        NOTE: The staged build is used to get around a problem with Maven
-              and extension plugins.
 
-              See http://issues.apache.org/jira/browse/GERONIMO-2172 for more details.
-        -->
-
-        <profile>
-            <id>stage-bootstrap</id>
-
-            <activation>
-                <property>
-                    <name>stage</name>
-                    <value>bootstrap</value>
-                </property>
-            </activation>
-
-            <modules>
-                <!--
-                NOTE: This should really only include the bare minimum set of modules
-                      that are required to build the plugins.  But right now that set
-                      includes most modules, so for now just build everything.
-                      Fix this when the modules are reorganized.
-                -->
-                <module>testsupport</module>
-                <module>modules</module>
-                <module>maven-plugins</module>
-            </modules>
-        </profile>
-
-        <profile>
-            <id>stage-assemble</id>
-
-            <activation>
-                <property>
-                    <name>stage</name>
-                    <value>assemble</value>
-                </property>
-            </activation>
-
-            <modules>
-                <module>applications</module>
-                <module>configs</module>
-                <module>assemblies</module>
-            </modules>
-        </profile>
-
-        <profile>
-            <id>release-environment</id>
-
-            <activation>
-                <property>
-                    <name>env</name>
-                    <value>release</value>
-                </property>
-            </activation>
-
-            <modules>
-                <module>testsupport</module>
-                <module>modules</module>
-                <module>maven-plugins</module>
-                <module>applications</module>
-                
-                <!--
-                NOTE: Probably do not want to publish these to the repo...  Or do we?
-                
-                <module>configs</module>
-                <module>assemblies</module>
-                -->
-            </modules>
-        </profile>
-
-        <profile>
-            <id>site-environment</id>
-
-            <activation>
-                <property>
-                    <name>env</name>
-                    <value>site</value>
-                </property>
-            </activation>
-
-            <modules>
-                <module>testsupport</module>
-                <module>modules</module>
-                <module>maven-plugins</module>
-                <module>applications</module>
-            </modules>
-        </profile>
-        
-        <profile>
-            <id>sign-artifacts</id>
-            
-            <!--
-            NOTE: To use you need to enable this profile and pass in the passphrase:
-                  
-                  mvn -Psign-artifacts -Dpassphrase=thephrase
-            -->
-            <build>
-                <plugins>
-                    <plugin>
-                        <groupId>org.apache.geronimo.genesis.plugins</groupId>
-                        <artifactId>tools-maven-plugin</artifactId>
-                        <executions>
-                            <execution>
-                                <id>sign-artifacts</id>
-                                <phase>verify</phase>
-                                <goals>
-                                    <goal>gpg-sign-attached</goal>
-                                </goals>
-                            </execution>
-                        </executions>
-                    </plugin>
-                </plugins>
-            </build>
-        </profile>
-        
     </profiles>
 
 </project>



Mime
View raw message